#VU28143 Out-of-bounds read


Published: 2020-05-20

Vulnerability identifier: #VU28143

Vulnerability risk: Low

CVSSv3.1: 2.9 [CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N/E:U/RL:O/RC:C]

CVE-ID: CVE-2020-10030

CWE-ID: CWE-125

Exploitation vector: Local

Exploit availability: No

Vulnerable software:
PowerDNS Recursor
Server applications / DNS servers

Vendor: PowerDNS.COM B.V.

Description

The vulnerability allows a local user to gain access to potentially sensitive information.

The vulnerability exists due to a boundary condition when processing a hostname via the gethostname()  function. A local user with ability to change system hostname can trigger out-of-bounds read error and read contents of memory on the system.

Mitigation
Install update from vendor's website.

Vulnerable software versions

PowerDNS Recursor: 4.3.0 - 4.3.0 rc2, 4.2.0 - 4.2.1, 4.1.0 - 4.1.15


CPE

External links
http://doc.powerdns.com/recursor/security-advisories/powerdns-advisory-2020-03.html


Q & A

Can this vulnerability be exploited remotely?

No. This vulnerability can be exploited locally. The attacker should have authentication credentials and successfully authenticate on the system.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.


Latest bulletins with this vulnerability